curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobApplication \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"jobApplicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobApplication"
payload = { "jobApplicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({jobApplicationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobApplication', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"jobPostingId": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"email": "<string>",
"documentSetId": "<string>",
"lastSubmittedAt": "2023-01-15T01:30:15.01Z",
"reapplied": true,
"source": "ENTRY_SOURCE_UNSPECIFIED",
"sourceId": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}GetJobApplication
get a single job application
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
request to get job application
id of the job application
Response
Success
response from getting job application
id of the appliaction
id of the job posting
first name
last name
document set for the application
A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (Z); input may use an offset from UTC.
"2023-01-15T01:30:15.01Z"
whether candidate reapplied while the application was in a non-unreviewed stage
how this application was created
ENTRY_SOURCE_UNSPECIFIED, ENTRY_SOURCE_CAREER_SITE, ENTRY_SOURCE_MANUAL, ENTRY_SOURCE_EMAIL id of the job application for career_site. empty for manual, which has no originating record
when the application was created
"2023-01-15T01:30:15.01Z"